Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06657 Interface Critical (emulator) Always Aug 12, 2017, 00:25 Aug 18, 2017, 22:31
Tester Robbbert View Status Public Platform MAME (Official Binary)
Assigned To Nathan Woods Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver c64.cpp
Version 0.188 Fixed in Version 0.189 Build
Summary 06657: c64: Selecting a slot to fill for "EXP" causes Fatal Error
Description Depending on left or right selection, you'll get one of 2 Fatal Errors:
Left: Fatal error: Unknown slot option 'fun_play' in slot 'exp'
Right: Fatal error: Unknown slot option 'xl80' in slot 'exp'
Steps To Reproduce mame c64
Activate UI, TAB, Slot Devices and adjust the "EXP" entry from "-------" to something else. Depending on MAME version it will Fatal immediately due to auto mounted slots - 0.188 and later) or when you choose to RESET (0.175-0.187)
Additional Information Regression traced to 0.174-0.175 Dev cycle.
Daily binaries have traced this to fall on June 18-June 19, 2016
In particular, between these two commits:
Working: https://github.com/mamedev/mame/commit/1908ee685a1c773f332b091668f4b23f5779a2ef
Not Working: https://github.com/mamedev/mame/commit/5496582674ed3facea4188f42c77668273e49736

These EXP options apparently are slots which fill up only when running a certain cartridge - funplay, xl80 in the examples above.
-listslots does not disaply the option, but it is selectable anyway via menu.
-listxml shows different shortnames for each option
<machine name="c64_fun_play" sourcefile="src/devices/bus/c64/fun_play.cpp" isdevice="yes" runnable="no">
<machine name="c64_xl80" sourcefile="src/devices/bus/c64/xl80.cpp" isdevice="yes" runnable="no">

The auto mounted slot behaviour started with the Option Overhaul Part 2 commit, but isn't the source of the issue.
https://github.com/mamedev/mame/commit/b193e05cd7c8456a2648d43854645da84f56ddbd
Flags
Regression Version 0.175
Affected Sets / Systems c64
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.14092
Nathan Woods
Developer
Aug 13, 2017, 02:09
https://github.com/mamedev/mame/pull/2560